Skip to main content
DELETE
/
api
/
v1
/
clusters
/
upcloud
/
{cluster_id}
Deprovision an UpCloud cluster
import requests

url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
{
  "cluster_id": "<string>",
  "success": true,
  "operation_id": "<string>",
  "resources_marked": 0,
  "errors": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid>
required

Response

Cluster deprovisioned successfully

cluster_id
string<uuid4>
required
success
boolean
default:true
operation_id
string<uuid4> | null
resources_marked
integer
default:0
errors
string[]